commit: d7ed4a7a1cfa96ae5637c8bc6e70ad54d7596ece
Author: Andreas K. Hüttel <dilfridge <AT> gentoo <DOT> org>
AuthorDate: Sat Dec 11 04:26:06 2021 +0000
Commit: Andreas K. Hüttel <dilfridge <AT> gentoo <DOT> org>
CommitDate: Sat Dec 11 04:33:25 2021 +0000
URL: https://gitweb.gentoo.org/repo/gentoo.git/commit/?id=d7ed4a7a
dev-perl/Try-Tiny: Version bump 0.31
Package-Manager: Portage-3.0.28, Repoman-3.0.3
Signed-off-by: Andreas K. Hüttel <dilfridge <AT> gentoo.org>
dev-perl/Try-Tiny/Manifest | 1 +
dev-perl/Try-Tiny/Try-Tiny-0.310.0.ebuild | 36 +++++++++++++++++++++++++++++++
2 files changed, 37 insertions(+)
diff --git a/dev-perl/Try-Tiny/Manifest b/dev-perl/Try-Tiny/Manifest
index 0f44550c288d..bbb9bc928212 100644
--- a/dev-perl/Try-Tiny/Manifest
+++ b/dev-perl/Try-Tiny/Manifest
@@ -1 +1,2 @@
DIST Try-Tiny-0.30.tar.gz 34395 BLAKE2B
5f128ec532e9091e0987bf8b0b540c38158b49d37af42f72366151f25da722e12b746626a242d8a8f7755d243ee5fe0232d1828d4f94ddac0c70ad9334b8a6d1
SHA512
f523736ab0504ca0f7150be312e62988c4b9473a9e8469b0746dc8364945e2922c64c92e95e6c2b5792c5d6399dabea3d00aa45c065155b95519d5658a07216c
+DIST Try-Tiny-0.31.tar.gz 35784 BLAKE2B
34bb5ae5a03accd3b99e25d8a69d9d9f1255a5cadc6c77c8909dd5e793d0d15ded10ae2e3410a07fe01f9ff50aba3fe0bc947904a61d1106ee8a16509fce1d88
SHA512
1a3c852e56797d81da60a4f4887cb70fc575eca83d10b8cd12fe5d5d0008a967801218f3a5277a2f1347ade95b9515c1f237333e491742d06614c0beecf44768
diff --git a/dev-perl/Try-Tiny/Try-Tiny-0.310.0.ebuild
b/dev-perl/Try-Tiny/Try-Tiny-0.310.0.ebuild
new file mode 100644
index 000000000000..6df86bef0af2
--- /dev/null
+++ b/dev-perl/Try-Tiny/Try-Tiny-0.310.0.ebuild
@@ -0,0 +1,36 @@
+# Copyright 1999-2021 Gentoo Authors
+# Distributed under the terms of the GNU General Public License v2
+
+EAPI=8
+
+DIST_AUTHOR=ETHER
+DIST_VERSION=0.31
+inherit perl-module
+
+DESCRIPTION="Minimal try/catch with proper localization of \$@"
+
+LICENSE="MIT"
+SLOT="0"
+KEYWORDS="~alpha ~amd64 ~arm ~arm64 ~hppa ~ia64 ~m68k ~mips ~ppc ~ppc64 ~riscv
~s390 ~sparc ~x86 ~x64-cygwin ~amd64-linux ~x86-linux ~ppc-macos ~x64-macos
~sparc-solaris ~sparc64-solaris ~x64-solaris ~x86-solaris"
+IUSE="minimal"
+
+RDEPEND="
+ !<=dev-perl/Try-Tiny-Except-0.10.0
+ !minimal? (
+ || ( >=virtual/perl-Scalar-List-Utils-1.400.0 dev-perl/Sub-Name
)
+ )
+ virtual/perl-Carp
+ >=virtual/perl-Exporter-5.570.0
+"
+BDEPEND="${RDEPEND}
+ virtual/perl-ExtUtils-MakeMaker
+ test? (
+ !minimal? (
+ >=virtual/perl-CPAN-Meta-2.120.900
+ >=dev-perl/Capture-Tiny-0.120.0
+ )
+ virtual/perl-File-Spec
+ virtual/perl-Test-Simple
+ virtual/perl-if
+ )
+"